Debian Bug report logs - #660252
clam-networkeditor: FTBFS against qt4.8, missing include

version graph

Package: clam-networkeditor; Maintainer for clam-networkeditor is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for clam-networkeditor is src:clam-networkeditor.

Reported by: Andreas Moog <amoog@ubuntu.com>

Date: Fri, 17 Feb 2012 18:57:05 UTC

Severity: serious

Tags: patch

Found in version clam-networkeditor/1.4.0-3

Fixed in version clam-networkeditor/1.4.0-3.1

Done: Steve McIntyre <93sam@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, amoog@ubuntu.com, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660252; Package clam-networkeditor. (Fri, 17 Feb 2012 18:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Moog <amoog@ubuntu.com>:
New Bug report received and forwarded. Copy sent to amoog@ubuntu.com, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 17 Feb 2012 18:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Moog <amoog@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: clam-networkeditor: FTBFS against qt4.8, missing include
Date: Fri, 17 Feb 2012 19:54:31 +0100
[Message part 1 (text/plain, inline)]
Package: clam-networkeditor
Version: 1.4.0-3
Severity: wishlist
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1



*** /tmp/tmp0LSV0W/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

  * d/p/include_glu-h.patch: Add missing include to build with qt 4.8
    (LP: #791317)

In Debian, qt4.8 is in experimental currently and building against that 
version fails with:

g++ -o src/widgets/generated/generated/moc_QFirstPerson.os -c -g -O3 -Wall -pipe -fomit-frame-pointer -fPIC -DDATA_EXAMPLES_PATH="\"/root/clam-networkeditor-1.4.0/debian/tmp/usr/share/networkeditor/example-data\"" -DQT_PLUGIN -DQDESIGNER_EXPORT_WIDGETS -D_REENTRANT -DCLAM_FLOAT -DUSE_XERCES=1 -DCLAM_USE_XML -DUSE_LADSPA=1 -DUSE_SNDFILE=1 -DUSE_OGGVORBIS=1 -DWITH_VORBIS=1 -DUSE_MAD=1 -DWITH_MAD=1 -DUSE_ID3=1 -DUSE_ALSA=1 -DUSE_JACK=1 -DUSE_PORTAUDIO=1 -DUSE_FFTW3=1 -DQT_CORE_LIB -DQT_GUI_LIB -DQT_OPENGL_LIB -DQT_XML_LIB -DQT_SVG_LIB -DQT_SHARED -DCLAM_MODULE=qtmonitors -I/usr/local/include -I/usr/include/alsa -I/usr/include/qt4 -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtOpenGL -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtWebKit -Isrc/widgets -Isrc/widgets/generated -Isrc/widgets/generated/generated -Isrc/monitors -Isrc/monitors/generate
 d src/widgets/generated/moc_QFirstPerson.cxx
In file included from src/widgets/generated/moc_QFirstPerson.cxx:10:0:
src/widgets/generated/../QFirstPerson.hxx:73:2: error: 'GLUquadric' does not name a type
src/widgets/generated/../QFirstPerson.hxx:346:2: error: 'GLUquadric' does not name a type
src/widgets/generated/../QFirstPerson.hxx: In constructor 'QFirstPerson::QFirstPerson(QWidget*)':
src/widgets/generated/../QFirstPerson.hxx:84:5: error: class 'QFirstPerson' does not have any field named '_sphere'
src/widgets/generated/../QFirstPerson.hxx: In member function 'virtual void QFirstPerson::resizeGL(int, int)':
src/widgets/generated/../QFirstPerson.hxx:109:73: error: 'gluPerspective' was not declared in this scope
src/widgets/generated/../QFirstPerson.hxx: In member function 'virtual void QFirstPerson::paintScene()':
src/widgets/generated/../QFirstPerson.hxx:200:21: error: 'sphere' was not declared in this scope
src/widgets/generated/../QFirstPerson.hxx:200:36: error: 'gluSphere' was not declared in this scope
src/widgets/generated/../QFirstPerson.hxx: In member function 'void QFirstPerson::drawLight(float*, float*, const char*, const QColor&)':
src/widgets/generated/../QFirstPerson.hxx:229:20: error: 'sphere' was not declared in this scope
src/widgets/generated/../QFirstPerson.hxx:229:35: error: 'gluSphere' was not declared in this scope
scons: *** [src/widgets/generated/generated/moc_QFirstPerson.os] Error 1
scons: building terminated because of errors.
make[1]: *** [override_dh_auto_build] Error 2

Thanks for considering the patch.


- -- System Information:
Debian Release: wheezy/sid
  APT prefers precise
  APT policy: (700, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-16-generic (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPPqJnAAoJEGHzRCZ03mYkE00P/33BKeZjR67YdekIC3+7W8aD
xswr81TLfHTWfGUtzOI7Bo9jPmJJEtNGGplWNgfs3nUPOPhmIhyaV1iNnDjFhUoO
u+PLxDc/cT3Kz3FZ+Heggxvqhm9hwZibgBWbx4KgPuPUBOhEor1t/c7kKnKGztCb
fpKayv4SOfyR2HVzJAm3hzPbBht30ny6mlqiQvpx4SWpvz4WohJNZE0KbwERQZhs
xHoUEXYLwUd9ibBRZmbr1o/OIbctt0qXK1VBjua+7lIVX4Uu8b28oB5b3wrQYUse
t7byxHdObLElRkM42Chs5bbgkgm4PZUZtqvEaMhKFt3sWvjsSOxIqrqmnU3EMa0X
OiCx43N5l7TaTbv4JtTu+VtNGoIGqDi4xujyqdIIYpQN+Us90CnsNtnGPeD5bVEB
8b5f9D2KjUQHJ1Owowv3rhv6TgEfQju/7AOIV3PS4NFeQHrceFeKGaoFeFynppUM
dZQIX1dqv7IgA7HdMBG+refeDgzkFBXGXLFR9aZoiz1jE+BpFW3RnLC3nDwJJ667
66EQJd3rfgNeBk5s0eUyCtLlCdv3u7Tev4FBm6u6BvqYigTeoNOYyfsH47HfQzcr
wJ8p9C4yVfe8rCYVD8EvmdkXf5JP6tdaooh9toG9SaiNwW5eK/oN9NCLgto8lQ0m
eGcUPErFkaswfq7YGFGV
=gBYT
-----END PGP SIGNATURE-----
[clam-networkeditor_1.4.0-3ubuntu1.debdiff (text/x-diff, attachment)]

Severity set to 'normal' from 'wishlist' Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Tue, 06 Mar 2012 13:30:46 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Sat, 05 May 2012 16:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660252; Package clam-networkeditor. (Sat, 05 May 2012 16:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sat, 05 May 2012 16:39:17 GMT) Full text and rfc822 format available.

Message #14 received at 660252@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 660252@bugs.debian.org
Subject: Qt 4.8 in Unstable
Date: Sat, 05 May 2012 12:38:51 -0400
clam-networkeditor will now FTBFS in Unstable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#660252; Package clam-networkeditor. (Sun, 13 May 2012 15:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve McIntyre <steve@einval.com>:
Extra info received and forwarded to list. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Sun, 13 May 2012 15:00:05 GMT) Full text and rfc822 format available.

Message #19 received at 660252@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 660252@bugs.debian.org, 667137@bugs.debian.org
Subject: Debdiff for NMU fixing these 2 bugs
Date: Sun, 13 May 2012 15:57:15 +0100
[Message part 1 (text/plain, inline)]
-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
"Every time you use Tcl, God kills a kitten." -- Malcolm Ray
[clam.debdiff (text/plain, attachment)]

Reply sent to Steve McIntyre <93sam@debian.org>:
You have taken responsibility. (Sun, 13 May 2012 15:21:19 GMT) Full text and rfc822 format available.

Notification sent to Andreas Moog <amoog@ubuntu.com>:
Bug acknowledged by developer. (Sun, 13 May 2012 15:21:19 GMT) Full text and rfc822 format available.

Message #24 received at 660252-close@bugs.debian.org (full text, mbox):

From: Steve McIntyre <93sam@debian.org>
To: 660252-close@bugs.debian.org
Subject: Bug#660252: fixed in clam-networkeditor 1.4.0-3.1
Date: Sun, 13 May 2012 15:19:02 +0000
Source: clam-networkeditor
Source-Version: 1.4.0-3.1

We believe that the bug you reported is fixed in the latest version of
clam-networkeditor, which is due to be installed in the Debian FTP archive:

clam-networkeditor-examples_1.4.0-3.1_all.deb
  to main/c/clam-networkeditor/clam-networkeditor-examples_1.4.0-3.1_all.deb
clam-networkeditor_1.4.0-3.1.debian.tar.gz
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1.debian.tar.gz
clam-networkeditor_1.4.0-3.1.dsc
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1.dsc
clam-networkeditor_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/clam-networkeditor_1.4.0-3.1_amd64.deb
libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
  to main/c/clam-networkeditor/libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660252@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve McIntyre <93sam@debian.org> (supplier of updated clam-networkeditor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 15:46:02 +0100
Source: clam-networkeditor
Binary: clam-networkeditor clam-networkeditor-examples libclam-qtmonitors1.4 libclam-qtmonitors-dev
Architecture: source amd64 all
Version: 1.4.0-3.1
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Steve McIntyre <93sam@debian.org>
Description: 
 clam-networkeditor - CLAM Network Editor, prototyping tool for CLAM
 clam-networkeditor-examples - CLAM Network Editor, examples
 libclam-qtmonitors-dev - development files for libclam-qtmonitors CLAM extensions
 libclam-qtmonitors1.4 - libclam-qtmonitors CLAM extensions shared library
Closes: 660252 667137
Changes: 
 clam-networkeditor (1.4.0-3.1) unstable; urgency=low
 .
   * NMU
   * Build with qt 4.8. Closes: #660252. Thanks to Andreas Moog for the
     patch.
   * Add -fpermissive to g++ command line to allow building with gcc 4.7
     Closes: #667137
Checksums-Sha1: 
 3df38a55bb6cda0eadc5521e7fef729965f93a4a 2182 clam-networkeditor_1.4.0-3.1.dsc
 fee0375147385922d9e551893a861c77a7484ec9 4310 clam-networkeditor_1.4.0-3.1.debian.tar.gz
 e80c41584138f469abe9a8bad121aeedf857e430 2539432 clam-networkeditor_1.4.0-3.1_amd64.deb
 12528b869040274529c24e5a57aee6a19c797a3f 1105900 clam-networkeditor-examples_1.4.0-3.1_all.deb
 71f99a484d26240bf4bd9ab29975afd7a8ee8e27 2295236 libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 9594608898d5de35d3a6224f451cbe3111c7c0d8 31136 libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
Checksums-Sha256: 
 9aa5055bda88220c2c793db6d343d522b013836c20fe065af4842bc56ee5f973 2182 clam-networkeditor_1.4.0-3.1.dsc
 123b760487261c6c5b364bff80535e48ef8942f14aab3355bd1bfbe6638c1e88 4310 clam-networkeditor_1.4.0-3.1.debian.tar.gz
 7fb4b135c3eeed73d73e047e2ddc4b69af4382369c64c3b425da369518d64122 2539432 clam-networkeditor_1.4.0-3.1_amd64.deb
 7a823401713098aa1b10bc3fb08a2d5c8f2b82a0ee5c491c996e225972c7b450 1105900 clam-networkeditor-examples_1.4.0-3.1_all.deb
 149399255514e018b4947b1d70f15556e3ad636c4f1ada9c32ab0688e776b8ef 2295236 libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 f5d8e8f0f8a04278ab43716663d9e4d9594da77ff976508b0a98de51686b3313 31136 libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb
Files: 
 47260276c96cc057d2257366301c0525 2182 sound extra clam-networkeditor_1.4.0-3.1.dsc
 96b1389b43399c809e9ad9c0a220700f 4310 sound extra clam-networkeditor_1.4.0-3.1.debian.tar.gz
 d63d95dc5725f4fec5f41399a396fd9d 2539432 sound extra clam-networkeditor_1.4.0-3.1_amd64.deb
 51aacf9aa95fa4d60c9335c15255135a 1105900 sound extra clam-networkeditor-examples_1.4.0-3.1_all.deb
 46967e7cd490d8fa79d43dcc9f53aa06 2295236 libs extra libclam-qtmonitors1.4_1.4.0-3.1_amd64.deb
 d0f950bb001a8f465b2e63728de2b1cc 31136 libdevel extra libclam-qtmonitors-dev_1.4.0-3.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJPr8wpAAoJEFh5eVc0QmhO8zMQAICxybZDCPl1wMTCpQMh6AG/
LUq23g25SEbuNS9ZWJo6Fx+nlo+aLtdFm2+8pTbjQhpdJQEE+Kif2UbguihaQNjp
C0bKoz36LHVsHKhe/dpCxh/qJ7HW+gzGgbNBuE5fbSQlD57M8/XJ/aJvC9LWZDvh
MA/GrV3gzAdVM/0zUaAbZhaGwZmq1xozaJ0zBcaBD9IT3UN4WC/k8pDmcRUH9Toe
OzKdDYEDERF7XTHv+vP/CWcgpBGeRmpGv3uSRUum07Du/RCDbGrXXORHiZZWKlND
7OOhdddieZIr0I08mSTCWX6U1xc5+ra3w9Npju5YJv0YuDH/QaM4/jA9+cc9rrDG
wlJLGPH1sVrHdreBL+Y2f6LwPZJEjezsXmt/mxZ76+7tUU7Jd+1p/QSVJYADKg3g
dv/+XdGpGvDV200rWIudtf3spkuZg5as1JGyWtEpP0WJMNUF3sXWwWFYGDWiTOCq
wa1idjtO8nasJu1ee/h+TVHKzyOVggyLcikwm44qhiBWF+fCRW0rXNbv1kRbR3s1
0oH63FT92cAJqqYmNei9ylUruoJsLj+OtZJr2j3N5cb6W4ibLv7rwXPxGhOy81Lm
YxVAb8Mr3OKZT+7I+STI+7xqvSxB09Hr3IpkUzQPChHcxlI3mg680HJvfdZnI2T3
Oh6w4xhQAL1JdVdoJheq
=yXje
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:44:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:08:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.